Bug 433817 - lots of errors when starting Monodevelop
lots of errors when starting Monodevelop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: monodevelop (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 11:03 EST by David Nielsen
Modified: 2008-04-23 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-21 09:34:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2008-02-21 11:03:32 EST
Description of problem:
I am seeing a lot of errors when starting MonoDevelop, I'm hoping the terminal
output will be helpful.

WARNING: Cannot find Mozilla directory containing libgtkembedmoz.so. Some Addins
may not be able to function. Please set MOZILLA_FIVE_HOME to your Mozilla directory.
WARNING [2008-02-21 16:57:22Z]: Inotify watch limit is too low (8192).
MonoDevelop will switch to managed file watching.
See http://www.monodevelop.com/Inotify_Watches_Limit for more info.
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
ERROR [2008-02-21 16:57:23Z]: Add-in error (): 
System.ArgumentNullException: Argument cannot be null.
Parameter name: typeName
  at System.Type.GetType (System.String typeName, Boolean throwOnError) [0x00000] 
  at Mono.Addins.RuntimeAddin.GetType (System.String typeName, Boolean
throwIfNotFound) [0x00000] 
  at MonoDevelop.Projects.Extensions.DataTypeCodon.get_Class () [0x00000] 
  at MonoDevelop.Projects.ProjectService.OnPropertiesExtensionChanged
(System.Object s, Mono.Addins.ExtensionNodeEventArgs args) [0x00000] 
  at Mono.Addins.ExtensionNode.add_ExtensionNodeChanged
(Mono.Addins.ExtensionNodeEventHandler value) [0x00000] 
WARNING [2008-02-21 16:57:48Z]: MonoDevelop failed to start. Rebuilding addins
registry.
Checking: /home/david/.config/MonoDevelop/addin-db-001/hosts
Checking: /usr/lib64/monodevelop/bin
Checking: /usr/lib64/monodevelop/AddIns
Checking: /usr/lib64/monodevelop/AddIns/AspNetAddIn
Checking: /usr/lib64/monodevelop/AddIns/BackendBindings
Checking: /usr/lib64/monodevelop/AddIns/ChangeLogAddIn
Checking: /usr/lib64/monodevelop/AddIns/GnomePlatform
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.Autotools
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.Deployment
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.DesignerSupport
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.Gettext
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.GtkCore
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.MsVisualStudio
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.RegexToolkit
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.WebReferences
Checking: /usr/lib64/monodevelop/AddIns/MonoDeveloperExtensions
Checking: /usr/lib64/monodevelop/AddIns/NUnit
Checking: /usr/lib64/monodevelop/AddIns/VersionControl
Checking: /usr/lib64/monodevelop/AddIns/WelcomePage
Checking: /usr/local-config
Folders checked (48 ms)
Looking for addins
Checking: /home/david/.config/MonoDevelop/addin-db-001/hosts
Checking: /usr/lib64/monodevelop/bin
Checking: /usr/lib64/monodevelop/AddIns
Checking: /usr/lib64/monodevelop/AddIns/AspNetAddIn
Checking: /usr/lib64/monodevelop/AddIns/BackendBindings
Checking: /usr/lib64/monodevelop/AddIns/ChangeLogAddIn
Checking: /usr/lib64/monodevelop/AddIns/GnomePlatform
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.Autotools
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.Deployment
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.DesignerSupport
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.Gettext
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.GtkCore
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.MsVisualStudio
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.RegexToolkit
Checking: /usr/lib64/monodevelop/AddIns/MonoDevelop.WebReferences
Checking: /usr/lib64/monodevelop/AddIns/MonoDeveloperExtensions
Checking: /usr/lib64/monodevelop/AddIns/NUnit
Checking: /usr/lib64/monodevelop/AddIns/VersionControl
Checking: /usr/lib64/monodevelop/AddIns/WelcomePage
Checking: /usr/local-config
Checking: /home/david/.config/MonoDevelop/addins
Scanning file: /usr/lib64/monodevelop/bin/Mono.Cecil.Mdb.dll
Scanning file: /usr/lib64/monodevelop/bin/Mono.Cecil.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Components.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Core.Gui.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Core.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Dock.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Documentation.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Ide.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Projects.Gui.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.Projects.dll
Scanning file: /usr/lib64/monodevelop/bin/MonoDevelop.exe
Scanning file: /usr/lib64/monodevelop/AddIns/MonoDevelop.SourceEditor.dll
Scanning file: /usr/lib64/monodevelop/AddIns/AspNetAddIn/MonoDevelop.AspNet.dll
Scanning file: /usr/lib64/monodevelop/AddIns/BackendBindings/ILAsmBinding.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/BackendBindings/MonoDevelop.CBinding.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.Autotools.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/BackendBindings/MonoDevelop.CSharpBinding.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/BackendBindings/MonoDevelop.VBNetBinding.dll
Scanning file: /usr/lib64/monodevelop/AddIns/ChangeLogAddIn/ChangeLogAddIn.dll
Scanning file: /usr/lib64/monodevelop/AddIns/GnomePlatform/GnomePlatform.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.Autotools/MonoDevelop.Autotools.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.Linux.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.Deployment/MonoDevelop.Deployment.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.DesignerSupport/MonoDevelop.DesignerSupport.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.Gettext/MonoDevelop.Gettext.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.GtkCore/MonoDevelop.GtkCore.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.MsVisualStudio/MonoDevelop.MsVisualStudio.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.RegexToolkit/MonoDevelop.RegexToolkit.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDevelop.WebReferences/MonoDevelop.WebReferences.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/MonoDeveloperExtensions/MonoDeveloperExtensions.dll
Scanning file: /usr/lib64/monodevelop/AddIns/NUnit/MonoDevelop.NUnit.dll
Scanning file: /usr/lib64/monodevelop/AddIns/VersionControl/Diff.dll
Scanning file: /usr/lib64/monodevelop/AddIns/VersionControl/DiffWidget.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.Subversion.dll
Scanning file:
/usr/lib64/monodevelop/AddIns/VersionControl/MonoDevelop.VersionControl.dll
Scanning file: /usr/lib64/monodevelop/AddIns/WelcomePage/WelcomePage.dll
Scanning file: /usr/lib64/monodevelop/bin/NRefactory.dll
Scanning file: /usr/lib64/monodevelop/bin/mdhost.exe
Scanning file: /usr/lib64/monodevelop/bin/mdrun.exe
Folders scan completed (575 ms)
Generating add-in extension maps
Addin relation map generated.
  Addins Updated: 29
  Extension points: 100
  Extensions: 288
  Extension nodes: 1281
  Node sets: 7
Add-in relations analyzed (123 ms)
FATAL ERROR [2008-02-21 16:57:49Z]: MonoDevelop failed to start. Some of the
assemblies required to run MonoDevelop (for example gtk-sharp, gnome-sharp or
gtkhtml-sharp) may not be properly installed in the GAC.
System.Exception: There is already a logger with the name 'MonoDevelop Internal Log'
  at MonoDevelop.Core.LoggingService.AddLogger (ILogger logger) [0x00000] 
  at MonoDevelop.Ide.Gui.InternalLog.Initialize () [0x00000] 
  at MonoDevelop.Ide.Gui.IdeStartup.Run (System.String[] args) [0x00000] 
  at MonoDevelop.Startup.SharpDevelopMain.Main (System.String[] args) [0x00000]


Version-Release number of selected component (if applicable):
monodevelop-0.19-2.fc9.x86_64
mono-core-1.9-1.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul F. Johnson 2008-02-21 11:36:11 EST
Hmmm, not sure about this one as MD 0.19 is running here. I can see the missing
add-in (this is probably more down to mono-addins than monodevelop), but it's
not falling over dead here.

Have you got monodoc and mono-addins installed?
Comment 2 David Nielsen 2008-02-21 12:57:59 EST
Both are installed
Comment 3 Guido Ledermann 2008-04-19 18:57:47 EDT
Same here with i386
monodevelop.i386 0.19-6.fc9
mono-core.i386 1.9-7.fc9

Used current rawhide.
Comment 4 Paul F. Johnson 2008-04-21 09:34:10 EDT
It's a mono-addins problem. Fixed along with lots of other things. Should hit
paydirt when rawhide is released again.
Comment 5 David Nielsen 2008-04-23 11:58:21 EDT
Hopes for a F8 and F9 release?

Note You need to log in before you can comment on or make changes to this bug.